/*
 * CelestialNbodyGrouped.h
 *
 *  Created on: Jun 23, 2015
 *      Author: Joakim
 */

#ifndef CELESTIALNBODYGROUPED_H_
#define CELESTIALNBODYGROUPED_H_

__global__ void calculateInternalAccelerationGroupedGPU(float3 *acceleration_d, float3 *position_d, float *mass_d, float4 *output_com, int solarSystems, int solarBodies, int SystemsPerBlock);

class CelestialNbodyGrouped {

public:
	static bool launchCelestialNbodyKernel(float3 *acceleration_d, float3 *position_d, float *mass_d, int solarSystems, int solarBodies, bool enableThresholdSwitching);

};

#endif /* CELESTIALNBODYGROUPED_H_ */
