/*
 * CelestialTestcase.h
 *
 *  Created on: Jun 17, 2015
 *      Author: Joakim
 */

#ifndef CELESTIALTESTCASE_H_
#define CELESTIALTESTCASE_H_

#include "../nbody/nbodyAlgorithm.h"
#include "../math/integration/IntegrationMethod.h"

class CelestialTestcase {

public:
	static void nbodyAccelerationComparisonTest(NbodyAlgorithm nbodyAlgorithm_a, NbodyAlgorithm nbodyAlgorithm_b,
			IntegrationMethod integrationMethod_a, IntegrationMethod integrationMethod_b, int solarSystems, int solarBodies,
			float dt, int steps, bool verbose, bool showInfoByStep, bool showGraph);
	static void nbodyPerformanceComparisonTest(NbodyAlgorithm nbodyAlgorithm_a, NbodyAlgorithm nbodyAlgorithm_b, IntegrationMethod integrationMethod_a, IntegrationMethod integrationMethod_b,
			int solarSystems, int solarBodies, float dt);
	static void nbodyPerformanceTest(NbodyAlgorithm nbodyAlgorithm, IntegrationMethod integrationMethod, int solarSystems, int solarBodies, float dt);
};

#endif /* CELESTIALTESTCASE_H_ */
