/*
 * OpenglUtility.h
 *
 *  Created on: Jun 15, 2015
 *      Author: Joakim
 */

#ifndef OPENGLUTILITY_H_
#define OPENGLUTILITY_H_

#include <GL/glew.h>
#include <GL/gl.h>

class OpenglUtility {

private:
	static GLuint buildShader(GLenum shaderType, const char* filepath);
	static GLuint buildLiteralsShader(GLenum shaderType);
	static const char* getVertexShaderLiterals();
	static const char* getFragmentShaderLiterals();
	static const char* getShader(int shader); //0 for vertex, 1 for fragment
public:
	static GLuint buildProgram();
	static void checkOpenGLError();

};

#endif /* OPENGLUTILITY_H_ */
