#include <stdlib.h>
#include <stdio.h>
#include <time.h>

#include "RandomNumberGenerator.h"

double RandomNumberGenerator::getRand(double min, double max){

	double number;

	if (min == max) {
		number = min;
	} else {
		number = ((double)rand()/(double)RAND_MAX) * (max - min) + min;
	}

    return number;
}

void RandomNumberGenerator::setSrandTime() {
	srand(time(NULL));
}

void RandomNumberGenerator::setSrand(unsigned int seed) {
	srand(seed);
}
